Last Comment Bug 40950 - Need xptcall port for linux/ia64
: Need xptcall port for linux/ia64
Status: RESOLVED FIXED
: fixed1.4, helpwanted
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: x86 Linux
P3 normal with 1 vote (vote)
: ---
Assigned To: Mike Shaver (:shaver -- probably not reading bugmail closely)
: Robert Ginda
: Nathan Froyd [:froydnj][high latency until 6 March]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-29 10:02 PDT by jim_nance
Modified: 2006-01-03 15:31 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch for linux (21.38 KB, patch)
2003-06-18 15:20 PDT, Christopher Blizzard (:blizzard)
brendan: approval1.4+
Details | Diff | Splinter Review
Patch for status.html (1.07 KB, patch)
2006-01-03 11:10 PST, Wan-Teh Chang
shaver: review+
Details | Diff | Splinter Review

Description User image jim_nance 2000-05-29 10:02:41 PDT
I am attempting to get mozilla going on linux/ia64.  So far its been fairly
simple to get everything working except the xptcall stuff.  This requires
someone who knows both ia64 assembler and the internals of g++.  There are
probably about 10 people in the world who fit that description.  I figure
half of them work at cygnus.  I am hoping that Chris knows who they are
and can convince them they want to port this code, which is why I assigned
this bug to him.
Comment 1 User image Christopher Blizzard (:blizzard) 2000-05-29 11:20:44 PDT
The rumor is that there is a lot left to be desired with C++ support on ia64. 
I'll ask around though.  Maybe someone at Intel already has one done.
Comment 2 User image Christopher Blizzard (:blizzard) 2000-06-08 15:49:42 PDT
wtc seems to be on this.
Comment 3 User image Wan-Teh Chang 2000-06-08 15:55:34 PDT
Reassigned to nobody@mozilla.org.
Comment 4 User image Wan-Teh Chang 2000-06-12 22:46:22 PDT
Sorry, I forgot that it is possible to assign
a bug to the owner of the selected component.
Comment 5 User image John Bandhauer 2000-06-28 11:46:14 PDT
Assigning this to me is pretty much pointless. We rely on volunteers who are 
interested and capable of porting to a give platform to provide these platform 
ports. I'll add this platform to the list on the xptcall status page - 
http://lxr.mozilla.org/seamonkey/source/xpcom/reflect/xptcall/status.html - 
but other than that I don't have a plan for action on this. Anyone who wants to 
see this port happen should spread the word and find the person to do it.
Comment 6 User image jim_nance 2000-06-29 12:35:41 PDT
Yes, please add it to the status page.  Having it up there may help us
find someone to do this port.
Comment 7 User image John Bandhauer 2001-03-15 11:21:43 PST
I continue my quest to concentrate 'nix xptcall bugs in the shaver camp.
Comment 8 User image Mike Shaver (:shaver -- probably not reading bugmail closely) 2001-03-20 07:03:42 PST
I have a "volunteer" for this, and we might get it in time for 0.8.1.
Comment 9 User image Mike Shaver (:shaver -- probably not reading bugmail closely) 2001-05-11 12:51:42 PDT
My volunteer bailed.  Sometime I'll try and use the simulator environment to
hack it up myself.
Comment 10 User image Bill Nottingham 2001-05-30 21:47:33 PDT
David Mosberger got something working using libffi. Once I actually get
a build that starts, I'll post the patch.
Comment 11 User image Mike Shaver (:shaver -- probably not reading bugmail closely) 2001-06-28 18:24:37 PDT
Hey Bill, did you get it working?  We could use the libffi port to ease our gcc3
woes on other platforms as well...
Comment 12 User image David Bradley 2001-06-28 18:31:26 PDT
Might be interested in bug 82286 I'll cross post this to that bug. May encounter
similar issues.
Comment 13 User image Bill Nottingham 2001-06-29 07:29:07 PDT
Not yet. I can dig up the patch and post it. Basically, the behavior I'm seeing is
that mozilla on startup grinds for about 20 seconds or so, and then silently
exits 1.
Comment 14 User image Martin Lawyer 2002-06-06 17:15:29 PDT
http://bugzilla.mozilla.org/show_bug.cgi?id=146722

Bug 146722 addresses this issue for HPUX on ia64. 
Comment 15 User image Christopher Blizzard (:blizzard) 2003-06-18 15:20:15 PDT
Created attachment 125960 [details] [diff] [review]
patch for linux

This is a patch that Ulrich sent me and seems to work on Linux.  It's derived
from the HPUX code, so the copyrights are intact in the file.  I already have
an rs=shaver on this, so I'll check it in shortly.
Comment 16 User image Brendan Eich [:brendan] 2003-06-18 16:41:32 PDT
Comment on attachment 125960 [details] [diff] [review]
patch for linux

Just for the record.

/be
Comment 17 User image Christopher Blizzard (:blizzard) 2003-06-18 20:03:07 PDT
Checked in on the tip and the 1.4 branch.  Yay!
Comment 18 User image Olli Pettay [:smaug] 2005-12-30 01:29:17 PST
Someone should have updated http://lxr.mozilla.org/seamonkey/source/xpcom/reflect/xptcall/status.html
Comment 19 User image Wan-Teh Chang 2006-01-03 11:10:46 PST
Created attachment 207430 [details] [diff] [review]
Patch for status.html

Update status.html with the Linux ia64 status.

I determined the contributors of the Linux ia64 xptcall
patch based on comment 15 and comment 14.
Comment 20 User image Mike Shaver (:shaver -- probably not reading bugmail closely) 2006-01-03 15:22:55 PST
Comment on attachment 207430 [details] [diff] [review]
Patch for status.html

Approved (and implicitly in the future, Wan-Teh, should you want to make further updates).
Comment 21 User image Wan-Teh Chang 2006-01-03 15:31:11 PST
Comment on attachment 207430 [details] [diff] [review]
Patch for status.html

I updated status.html on the Mozilla trunk (1.9 alpha).

Checking in status.html;
/cvsroot/mozilla/xpcom/reflect/xptcall/status.html,v  <--  status.html
new revision: 1.29; previous revision: 1.28
done

Note You need to log in before you can comment on or make changes to this bug.